List Organization Users
GET/api/v1/organizations/{organization_id}/users
Get all users in an organization.
List Organization Users
curl https://api.cloud.llamaindex.ai/api/v1/organizations/$ORGANIZATION_ID/users \
-H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"[
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"roles": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"role": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"name": "x",
"permissions": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"access": true,
"description": "description",
"name": "x",
"created_at": "2019-12-27T18:11:19.117Z",
"updated_at": "2019-12-27T18:11:19.117Z"
}
],
"created_at": "2019-12-27T18:11:19.117Z",
"updated_at": "2019-12-27T18:11:19.117Z"
},
"user_id": "user_id",
"created_at": "2019-12-27T18:11:19.117Z",
"project_ids": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
],
"updated_at": "2019-12-27T18:11:19.117Z"
}
],
"created_at": "2019-12-27T18:11:19.117Z",
"email": "dev@stainless.com",
"invited_by_user_email": "dev@stainless.com",
"invited_by_user_id": "invited_by_user_id",
"pending": true,
"updated_at": "2019-12-27T18:11:19.117Z",
"user_id": "user_id"
}
]Returns Examples
[
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"roles": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"role": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"name": "x",
"permissions": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"access": true,
"description": "description",
"name": "x",
"created_at": "2019-12-27T18:11:19.117Z",
"updated_at": "2019-12-27T18:11:19.117Z"
}
],
"created_at": "2019-12-27T18:11:19.117Z",
"updated_at": "2019-12-27T18:11:19.117Z"
},
"user_id": "user_id",
"created_at": "2019-12-27T18:11:19.117Z",
"project_ids": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
],
"updated_at": "2019-12-27T18:11:19.117Z"
}
],
"created_at": "2019-12-27T18:11:19.117Z",
"email": "dev@stainless.com",
"invited_by_user_email": "dev@stainless.com",
"invited_by_user_id": "invited_by_user_id",
"pending": true,
"updated_at": "2019-12-27T18:11:19.117Z",
"user_id": "user_id"
}
]